Page MenuHomePhabricator

Need to use the Wikidata Q for the WMRU site (Wikibase Client)
Closed, ResolvedPublic

Description

  1. Go to Template:Q: https://ru.wikimedia.org/wiki/%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:Q
  1. Make sure you are logged in;
  1. Please find error here and here:

https://ru.wikimedia.org/wiki/%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:Q/doc

  1. And please find error here:

https://ru.wikimedia.org/wiki/%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:Label

  1. We need to use a template {{Q|40198248}} etc. (for international jury) for ru.wikimedia.org WMRU competitions. For example:

https://commons.wikimedia.org/wiki/Commons:Wiki_Science_Competition_2017#International_Jury

Thanks!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 10:09 PM
Urbanecm claimed this task.Feb 28 2018, 5:30 AM
Urbanecm triaged this task as Normal priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptFeb 28 2018, 5:30 AM

Change 415580 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add ruwikimedia to wikidataclient

https://gerrit.wikimedia.org/r/415580

Urbanecm moved this task from incoming to monitoring on the Wikidata board.
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

This have nothing to do with the extension itself.

Change 415580 merged by jenkins-bot:
[operations/mediawiki-config@master] Add ruwikimedia to wikidataclient

https://gerrit.wikimedia.org/r/415580

Mentioned in SAL (#wikimedia-operations) [2018-03-14T13:49:04Z] <zfilipin@tin> Synchronized dblists/wikidataclient.dblist: SWAT: [[gerrit:419425|Revert "Add ruwikimedia to wikidataclient" (T188456)]] (duration: 01m 14s)

@Dereckson @Reedy How can we create required tables? Is there some sane command for it?

@others: This was reverted because it was throwing fatal errors about missing tables. I will try to solve this and try this again later.

The update handler for the WikibaseClient extension runs the client/sql/entity_usage.sql database command, and then populates the table as well (SqlUsageTrackerSchemaUpdater::fillUsageTable). I’m not sure if that second part is necessary here or if it’s enough to just run the SQL to create the wbc_entity_usage table.

I'd appreciate if you can tell us exact command that should be run while deploying.

Mentioned in SAL (#wikimedia-operations) [2018-03-14T14:06:16Z] <Reedy> created wbc_entity_uages on ruwikimedia T188456

Well, I’m not the expert, I’m just trying to help out – that’s why I CCed more people who’ll know this better than me :)

Reedy added a comment.Mar 14 2018, 2:16 PM

I'd appreciate if you can tell us exact command that should be run while deploying.

https://gerrit.wikimedia.org/r/#/c/419433/ is a better option

Thanks! So...just running createExtensionTables.php wikibase should solve the problem?

Thanks! So...just running createExtensionTables.php wikibase should solve the problem?

hoo added a comment.EditedApr 17 2018, 9:26 AM

Thanks! So...just running createExtensionTables.php wikibase should solve the problem?

Yeah, that's enough to create the table (which already happened here):

wikiadmin@db1078(ruwikimedia)>SHOW TABLES LIKE "wb%";
+-----------------------------+
| Tables_in_ruwikimedia (wb%) |
+-----------------------------+
| wbc_entity_usage            |
+-----------------------------+
1 row in set (0.00 sec)

Now adding ruwikimedia (back) to wikidataclient.dblist should do.

Note: This wont enable adding sitelinks from Wikidata to ruwikimedia (but I also think that's not asked for here?).

Change 428128 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Revert "Revert "Add ruwikimedia to wikidataclient""

https://gerrit.wikimedia.org/r/428128

Sorry for having you waiting for such a long time. Will try to deploy this on Monday, Tuesday or Wednesday.

Change 428128 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Revert "Add ruwikimedia to wikidataclient""

https://gerrit.wikimedia.org/r/428128

Mentioned in SAL (#wikimedia-operations) [2018-04-23T18:48:42Z] <catrope@tin> Synchronized dblists/wikidataclient.dblist: Add ruwikimedia to wikidataclient (T188456) (duration: 01m 15s)

Urbanecm closed this task as Resolved.Apr 23 2018, 6:54 PM

Deployed. Reopen&comment if it's broken (but it shouldn't be :D).

hashar reopened this task as Open.Apr 23 2018, 7:26 PM
hashar added subscribers: thcipriani, Catrope, hashar.

Notice: Undefined variable: wmgWikibaseSiteGroup in /srv/mediawiki/wmf-config/Wikibase.php

https://gerrit.wikimedia.org/r/428128 has added ruwikimedia to the list of wikibase client, but $wmgWikibaseSiteGroup lacks a value for it. That setting doesn't have a sane default and thus has to be explicitly defined.

Note: I have no idea what that settings is about and I don't know what a valid setting would be.

Change 428565 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Set default for $wmgWikibaseSiteGroup

https://gerrit.wikimedia.org/r/428565

hoo added a comment.Apr 24 2018, 7:18 AM

Notice: Undefined variable: wmgWikibaseSiteGroup in /srv/mediawiki/wmf-config/Wikibase.php
https://gerrit.wikimedia.org/r/428128 has added ruwikimedia to the list of wikibase client, but $wmgWikibaseSiteGroup lacks a value for it. That setting doesn't have a sane default and thus has to be explicitly defined.
Note: I have no idea what that settings is about and I don't know what a valid setting would be.

null is the default for these, added a patch setting that… will schedule it for deployment soon.

Change 428565 merged by jenkins-bot:
[operations/mediawiki-config@master] Set default for $wmgWikibaseSiteGroup

https://gerrit.wikimedia.org/r/428565

Mentioned in SAL (#wikimedia-operations) [2018-04-24T13:06:56Z] <hoo@tin> Synchronized wmf-config/InitialiseSettings.php: Set default for $wmgWikibaseSiteGroup (T188456) (duration: 00m 59s)

Change 428629 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[operations/mediawiki-config@master] Properly set the default for $wmgWikibaseSiteGroup

https://gerrit.wikimedia.org/r/428629

Change 428629 merged by jenkins-bot:
[operations/mediawiki-config@master] Properly set the default for $wmgWikibaseSiteGroup

https://gerrit.wikimedia.org/r/428629

Mentioned in SAL (#wikimedia-operations) [2018-04-24T13:56:58Z] <hoo@tin> Synchronized wmf-config/: Properly set default for $wmgWikibaseSiteGroup (T188456) (duration: 01m 00s)

Mentioned in SAL (#wikimedia-operations) [2018-04-24T13:58:24Z] <hoo@tin> Synchronized wmf-config/: Properly set default for $wmgWikibaseSiteGroup (T188456) (duration: 00m 58s)

hoo closed this task as Resolved.Apr 24 2018, 2:01 PM

php notices are gone now!